Docsite Title > com.package1 > com.package1.unlistedProperty

# MyClass1.2.3

- Methods

class MyClass

Known subtypes:
Known usages:
All versions:

## Methods(show inherited)

- link
  function
  Any.getClass(): Class (pkl.base) Source

  Returns the class of `this`.

- expand_more link
  function
  Any.toString(): String (pkl.base) Source

  Returns a string representation of `this`.

  This method is used to convert the values of string interpolation expressions to strings.

- expand_more link
  function
  Any.ifNonNull<Result>(transform: (NonNull) -> Result): Result? (pkl.base) Source

  Returns `this |> transform` if `this` is non-null, and `null` otherwise.

  This method is the complement of the `??` operator and the equivalent of an `Option` type's `map` and `flatMap` methods.

- link
  function
  Typed.hasProperty(name: String): Boolean (pkl.base) Source

  Tells if this object has a property with the given `name`.

- expand_more link
  function
  Typed.getProperty(name: String): unknown (pkl.base) Source

  Returns the value of the property with the given `name`.

  Throws if a property with this name does not exist.

- expand_more link
  function
  Typed.getPropertyOrNull(name: String): unknown? (pkl.base) Source

  Returns the value of the property with the given `name`.

  Returns `null` if a property with this name does not exist.

- link
  function
  Typed.toDynamic(): Dynamic (pkl.base) Source

  Converts this object to a `Dynamic` object.

- link
  function
  Typed.toMap(): Map<String, unknown> (pkl.base) Source

  Converts this object to a `Map`.